> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truecall.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Session

> Retrieves details of a session by its ID.



## OpenAPI

````yaml public-openapi GET /sessions/{id}
openapi: 3.0.1
info:
  title: TrueCall Api Specs
  description: TrueCall public API reference
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.truecall.com
security:
  - bearerAuth: []
paths:
  /sessions/{id}:
    get:
      description: Retrieves details of a session by its ID.
      parameters:
        - $ref: '#/components/parameters/ItemIdParam'
      responses:
        '200':
          description: Session details response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SessionDetailsResponse'
        '400':
          $ref: '#/components/responses/BadReqResponse'
        '401':
          $ref: '#/components/responses/UnauthorizedResponse'
        '404':
          $ref: '#/components/responses/SessionNotFoundResponse'
components:
  parameters:
    ItemIdParam:
      name: id
      in: path
      description: ID of the item to retrieve.
      required: true
      schema:
        type: string
  schemas:
    SessionDetailsResponse:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/SuccessStatus'
        data:
          $ref: '#/components/schemas/SessionDetailsSnippet'
    SuccessStatus:
      type: string
      enum:
        - success
        - error
      example: success
    SessionDetailsSnippet:
      type: object
      properties:
        tc_id:
          type: string
        created_at:
          $ref: '#/components/schemas/CreatedAt'
        source_url:
          type: string
        generator_id:
          type: string
        details:
          type: object
          properties:
            ip_v4:
              type: string
            ip_v6:
              type: string
            ip_data:
              type: object
              properties:
                v6:
                  $ref: '#/components/schemas/FocsecIPData'
                v4:
                  $ref: '#/components/schemas/FocsecIPData'
            device_model:
              type: string
            device_vendor:
              type: string
            user_agent:
              type: string
            os_name:
              type: string
            os_version:
              type: string
            browser_name:
              type: string
            browser_version:
              type: string
            timezone:
              type: integer
            adblock:
              type: boolean
            do_not_track:
              type: boolean
            fingerprint_hash:
              type: string
    MissingApiKeySchema:
      required:
        - error
        - message
      type: object
      properties:
        status:
          $ref: '#/components/schemas/ErrorStatus'
        message:
          type: string
          example: Missing api_key
    InvalidApiKeySchema:
      required:
        - error
        - message
      type: object
      properties:
        status:
          $ref: '#/components/schemas/ErrorStatus'
        message:
          type: string
          example: Invalid api_key
    SessionNotFoundSchema:
      required:
        - error
        - message
      type: object
      properties:
        status:
          $ref: '#/components/schemas/ErrorStatus'
        message:
          type: string
          example: Session not found
    CreatedAt:
      type: number
      description: timestamp representation of when the item was created
      example: 1718104009000
    FocsecIPData:
      type: object
      properties:
        country:
          type: string
        flag:
          type: string
        city:
          type: string
        ip:
          type: string
        is_datacenter:
          type: boolean
        is_tor:
          type: boolean
        autonomous_system_organization:
          type: string
        autonomous_system_number:
          type: integer
        is_vpn:
          type: boolean
        is_in_european_union:
          type: boolean
        is_bot:
          type: boolean
        iso_code:
          type: string
        is_proxy:
          type: boolean
    ErrorStatus:
      type: string
      enum:
        - error
      example: error
  responses:
    BadReqResponse:
      description: Bad request exception
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/MissingApiKeySchema'
    UnauthorizedResponse:
      description: Unauthorized exception
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/InvalidApiKeySchema'
    SessionNotFoundResponse:
      description: NotFound exception
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/SessionNotFoundSchema'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````